import requests
import json

from decouple import config


def ig_request(endpoint, payload, input_headers=None):

    base_headers = {
        'Content-Type': 'application/json; charset=UTF-8',
        'Accept': 'application/json; charset=UTF-8',
        'X-IG-API-KEY': config('IG_KEY')
    }

    headers = {
        **base_headers,
        **input_headers
    } if input_headers != None else base_headers

    url = config('IG_BASE_URL') + endpoint

    r = requests.post(url, headers=headers, data=json.dumps(payload))

    return r